%global srcname wowp
%global sum Data-flow-actors-based work-flow framework

Name:          python-%{srcname}
Version:       0.2.0
Release:       1%{?dist}
Summary:       %{sum}

License:       MIT
URL:           https://pypi.python.org/pypi/%{srcname}
Source0:       https://files.pythonhosted.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:        0.2.0-check_for_mpi.patch
Patch1:        0.2.0-remove_schedulers_warnings.patch

BuildArch:     noarch

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires: python-setuptools
BuildRequires: epel-rpm-macros
%endif

BuildRequires: python-click
BuildRequires: python-networkx
BuildRequires: python-six
BuildRequires: python2-devel
BuildRequires: python2-future

Requires: python-networkx
Requires: python-six
Requires: python2-future

%description
%{sum}


%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

%files
%license LICENSE.txt
%doc README.txt
%{python2_sitelib}/*
%{_bindir}/wowp
%{_bindir}/wowp_on_slurm

%changelog
* Thu Aug 31 2017 Arthur Mello <amello@redhat.com> 0.2.0-1
- Initial version
